Loading...
Searching...
No Matches
DiscreteFactorGraph.cpp File Reference

## Classes

class | string
| STL class. More...
class | map< K, T >
| STL class. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > | gtsam::EliminateForMPE (const DiscreteFactorGraph &factors, const Ordering &frontalKeys)
| Alternate elimination function for that creates non-normalized lookup tables.
std::pair< DiscreteConditional::shared_ptr, DecisionTreeFactor::shared_ptr > | gtsam::EliminateDiscrete (const DiscreteFactorGraph &factors, const Ordering &frontalKeys)
| Main elimination function for DiscreteFactorGraph.

## Detailed Description

Date
  Feb 14, 2011

Author
  Duy-Nguyen Ta
  Frank Dellaert